﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sample.Models
{
    public class EmployeeRepository
    {
        public static IList<EmployeeModel> GetAllRecords()
        {
            IList<EmployeeModel> country = (IList<EmployeeModel>)HttpContext.Current.Session["Country"];

            if (country == null)
            {
                HttpContext.Current.Session["Country"] = country = (from emp in new DataClasses1DataContext().ShipInfos.Take(50)
                                                                  select new EmployeeModel
                                                                  {
                                                                    ShipCity = emp.ShipCity,                                                                    
                                                                    ContactTitle = emp.ContactTitle,
                                                                    Country = emp.Country
                                                                  }).ToList();                
            }
            return country;
        }
    }
}