﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sample.Models
{
    public class CustomerRepository
    {
        public static IList<CustomerModel> GetAllRecords()
        {
            IList<CustomerModel> title = (IList<CustomerModel>)HttpContext.Current.Session["title"];

            if (title == null)
            {
                HttpContext.Current.Session["title"] = title = (from cust in new DataClasses1DataContext().Contacts.Take(50)
                                                                  select new CustomerModel
                                                                  {                                                                      
                                                                      CustomerID = cust.CustomerID,                                                                      
                                                                      ContactTitle = cust.ContactTitle,
                                                                      Country = cust.Country,                                                                                                                                          
                                                                  }).ToList();
                
            }
            return title;
        }
    }
}